PHP 7 ist jetzt mit ioncube_loader_lin_7.0

ich habe gerade das php 7 mit ioncube loader 7.0 auf meinem Server installiert und musste feststellen das SW noch nicht soweit ist, dachte immer SW ist php 7 ready :frowning: es hackt gerade an dem “SagLicense” das es nicht für php7 encoded ist, ist es nicht abwärts Kompatibel wenn man das Lizensmanger für php 7 encoded?

AH01071: Got error 'PHP message: PHP Fatal error: The file /var/www/vhosts/doitauto.de/httpdocs/engine/Shopware/Plugins/Community/Core/SwagLicense/Bootstrap.php was encoded by the ionCube Encoder for PHP 5.4 and cannot run under PHP 7.0.\n Please ask the provider of the script to provide a version encoded with the ionCube Encoder for PHP 5.6. in Unknown on line 0\n'

 

Es liegt an den Plugins

Mehr Information findest dazu hier: http://community.shopware.com/Update-auf-php7_detail_1927.html

1 Like

Hi,

klar - aber mit alten Plugins klappt es natürlich nicht :wink: Wenn du deinen Shop im Shopware Account auf Version 5.2.x umgestellt hast, kannst du für passenden Plugins in kompatibler Verschlüsselung laden 

Sebastian

1 Like

Vielen Dank…

ist das Password Helper noch nich Encoded?

SwfPasswordHelper/Bootstrap.php was encoded by the ionCube Encoder for PHP 5.4

So es Läuft nun bei mir das PHP 7.0.14, es ist Wahnsinnig Schnell ich könnte sagen Doppelte Performance echt Brutal :slight_smile:

mit Folgende Plugins und Performance Ergebnis.

 

Hallo,

läuft es bei dir auch mit dem Sofort AG Plugin? Das ist nämlich normal nicht PHP7 fähig. Merken tut man das wenn man einen Artikel in den Warenkorb legt und die unendlich lange lädt.

Viele Grüße

Matthias

 

Ja, es Läuft ohne Probleme